KDE 4.7 PyKDE API Reference

- KDE's Python API

# CollectionCopyJob Class Reference

`from PyKDE4.akonadi import *`

Inherits: Akonadi.Job → KCompositeJob → KJob → QObject
Namespace: Akonadi

## Detailed Description

Job that copies a collection into another collection in the Akonadi storage.

This job copies a single collection into a specified target collection.

     Akonadi.Collection source = ...
     Akonadi.Collection target = ...

     Akonadi.CollectionCopyJob *job = new Akonadi.CollectionCopyJob( source, target );
     connect( job, SIGNAL( result( KJob* ) ), SLOT( copyFinished( KJob* ) ) );

     ...

     MyClass.copyFinished( KJob *job )
     {
       if ( job->error() )
         qDebug() << "Error occurred";
       else
         qDebug() << "Copied successfully";
     }

Author:
  Volker Krause <vkrause@kde.org>

## Methods
| __init__ (self, Akonadi.Collection source, Akonadi.Collection target, QObject parent=0)
| doStart (self)

## Method Documentation

__init__ | ( | self, |
|  | Akonadi.Collection | source,
|  | Akonadi.Collection | target,
|  | QObject | parent=0
| ) |  |  |

Creates a new collection copy job to copy the given source collection into target.

Parameters:

  | source | The collection to copy.
  | target | The target collection.
  | parent | The parent object.

doStart | ( |  | self ) |